Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# self.get_multiplier

strategies.strategy.Strategy.get_multiplier(self, chains, exchange='SMART')

  Returns option chain for a particular exchange.

  Using the chains dictionary obtained from get_chains finds all the multipliers for the option chains on a given exchange.

  Parameters:

    - chains (dictionary of dictionaries) – The chains dictionary created by get_chains method.

    - exchange (str optional) – The exchange such as SMART, CBOE. Default is SMART

  Returns:

    Sorted list of dates in the form of 20221013.

  Return type:

    list of str

  Example

      >>> # Will return the multiplier for SPY
      >>> asset = "SPY"
      >>> multiplier = self.get_multiplier(asset)